VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| CoarseSampleLocationNV (uint32_t pixelX_=0, uint32_t pixelY_=0, uint32_t sample_=0)
| CoarseSampleLocationNV (VkCoarseSampleLocationNV const &rhs)
CoarseSampleLocationNV & | operator= (VkCoarseSampleLocationNV const &rhs)
CoarseSampleLocationNV & | setPixelX (uint32_t pixelX_)
CoarseSampleLocationNV & | setPixelY (uint32_t pixelY_)
CoarseSampleLocationNV & | setSample (uint32_t sample_)
| operator VkCoarseSampleLocationNV const & () const
| operator VkCoarseSampleLocationNV & ()
bool | operator== (CoarseSampleLocationNV const &rhs) const
bool | operator!= (CoarseSampleLocationNV const &rhs) const

## Data Fields

uint32_t | pixelX
uint32_t | pixelY
uint32_t | sample

## Detailed Description

Definition at line 7776 of file vulkan.hpp.

## Constructor & Destructor Documentation

## CoarseSampleLocationNV() [1/2]

VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::CoarseSampleLocationNV | ( | uint32_t | pixelX_ = `0`,
|  | uint32_t | pixelY_ = `0`,
|  | uint32_t | sample_ = `0`
| ) |  |

inline

Definition at line 7778 of file vulkan.hpp.

: pixelX( pixelX_ )
, pixelY( pixelY_ )
, sample( sample_ )
{
}

## CoarseSampleLocationNV() [2/2]

VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::CoarseSampleLocationNV | ( | VkCoarseSampleLocationNV const & | rhs | ) |

inline

Definition at line 7787 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CoarseSampleLocationNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkCoarseSampleLocationNV &()

VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator VkCoarseSampleLocationNV & | ( |  | ) |

inline

Definition at line 7820 of file vulkan.hpp.

{
return *reinterpret_cast<VkCoarseSampleLocationNV*>(this);
}

## operator VkCoarseSampleLocationNV const &()

VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator VkCoarseSampleLocationNV const & | ( |  | ) | const

inline

Definition at line 7815 of file vulkan.hpp.

{
return *reinterpret_cast<const VkCoarseSampleLocationNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator!= | ( | CoarseSampleLocationNV const & | rhs | ) | const

inline

Definition at line 7832 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

CoarseSampleLocationNV& VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator= | ( | VkCoarseSampleLocationNV const & | rhs | ) |

inline

Definition at line 7792 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( CoarseSampleLocationNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator== | ( | CoarseSampleLocationNV const & | rhs | ) | const

inline

Definition at line 7825 of file vulkan.hpp.

{
return ( pixelX == rhs.pixelX )
&& ( pixelY == rhs.pixelY )
&& ( sample == rhs.sample );
}

References pixelX, pixelY, and sample.

Referenced by operator!=().

## setPixelX()

CoarseSampleLocationNV& VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::setPixelX | ( | uint32_t | pixelX_ | ) |

inline

Definition at line 7797 of file vulkan.hpp.

{
pixelX = pixelX_;
return *this;
}

References pixelX.

## setPixelY()

CoarseSampleLocationNV& VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::setPixelY | ( | uint32_t | pixelY_ | ) |

inline

Definition at line 7803 of file vulkan.hpp.

{
pixelY = pixelY_;
return *this;
}

References pixelY.

## setSample()

CoarseSampleLocationNV& VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::setSample | ( | uint32_t | sample_ | ) |

inline

Definition at line 7809 of file vulkan.hpp.

{
sample = sample_;
return *this;
}

References sample.

## Field Documentation

## pixelX

uint32_t VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::pixelX

Definition at line 7837 of file vulkan.hpp.

Referenced by operator==(), and setPixelX().

## pixelY

uint32_t VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::pixelY

Definition at line 7838 of file vulkan.hpp.

Referenced by operator==(), and setPixelY().

## sample

uint32_t VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::sample

Definition at line 7839 of file vulkan.hpp.

Referenced by operator==(), and setSample().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkCoarseSampleLocationNV
Definition: vulkan_core.h:8071
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::CoarseSampleLocationNV
CoarseSampleLocationNV(uint32_t pixelX_=0, uint32_t pixelY_=0, uint32_t sample_=0)
Definition: vulkan.hpp:7778
VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::operator==
bool operator==(CoarseSampleLocationNV const &rhs) const
Definition: vulkan.hpp:7825
VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::pixelY
uint32_t pixelY
Definition: vulkan.hpp:7838
VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::pixelX
uint32_t pixelX
Definition: vulkan.hpp:7837
VULKAN_HPP_NAMESPACE::CoarseSampleLocationNV::sample
uint32_t sample
Definition: vulkan.hpp:7839